org.apache.lucene.util.automaton

## Class TooComplexToDeterminizeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.util.automaton.TooComplexToDeterminizeException

All Implemented Interfaces:
  Serializable

    public class TooComplexToDeterminizeException
    extends RuntimeException

This exception is thrown when determinizing an automaton would result in one which has too many states.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TooComplexToDeterminizeException(Automaton automaton, int maxDeterminizedStates)` Use this constructor when the automaton failed to determinize.
`TooComplexToDeterminizeException(RegExp regExp, TooComplexToDeterminizeException cause)` Use this constructor when the RegExp failed to convert to an automaton.

### Method Summary

All Methods Instance Methods Concrete Methods
`Automaton` `getAutomaton()` Returns the automaton that caused this exception, if any.
`int` `getMaxDeterminizedStates()` Get the maximum number of allowed determinized states.
`RegExp` `getRegExp()` Return the RegExp that caused this exception if any.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TooComplexToDeterminizeException

    public TooComplexToDeterminizeException(RegExp regExp,
                                            TooComplexToDeterminizeException cause)

Use this constructor when the RegExp failed to convert to an automaton.

#### TooComplexToDeterminizeException

    public TooComplexToDeterminizeException(Automaton automaton,
                                            int maxDeterminizedStates)

Use this constructor when the automaton failed to determinize.

### Method Detail

#### getAutomaton

    public Automaton getAutomaton()

Returns the automaton that caused this exception, if any.

#### getRegExp

    public RegExp getRegExp()

Return the RegExp that caused this exception if any.

#### getMaxDeterminizedStates

    public int getMaxDeterminizedStates()

Get the maximum number of allowed determinized states.